## zlib 1.0.1

=== DESCRIPTION ===
Package: zlib
Version: 1.0.1
Type: Package
Title: Compression and Decompression
Authors@R: person("Semjon", "Geist", role = c("aut", "cre"),
                     email = "mail@semjon-geist.de")
Author: Semjon Geist [aut, cre]
License: MIT + file LICENSE
URL: https://github.com/sgeist-ionos/R-zlib
BugReports: https://github.com/sgeist-ionos/R-zlib/issues
Description: The 'zlib' package for R aims to offer an R-based equivalent of 'Python's' built-in 'zlib' module for data compression and decompression. This package provides a suite of functions for working with 'zlib' compression, including utilities for compressing and decompressing data streams, manipulating compressed files, and working with 'gzip', 'zlib', and 'deflate' formats.
Depends: R (>= 3.6.0)
Imports: Rcpp
Suggests: testthat (>= 3.0.0)
LinkingTo: Rcpp
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2023-09-08 21:04:56 UTC; sgeist
Maintainer: Semjon Geist <mail@semjon-geist.de>
Repository: CRAN
Date/Publication: 2023-09-08 21:50:02 UTC
