## zlib 1.2.1-5

=== debian/changelog ===
zlib (1:1.2.1-5) unstable; urgency=low

  * Apparently udebs shouldn't call ldconfig (closes: #237345).

 -- Mark Brown <broonie@debian.org>  Thu, 11 Mar 2004 21:27:09 +0000

zlib (1:1.2.1-4) unstable; urgency=low

  * Make checks when minizip is skipping arguments less likely to generate
    false positives (closes: #231036).

 -- Mark Brown <broonie@debian.org>  Sat,  7 Feb 2004 18:48:41 +0000

zlib (1:1.2.1-3) unstable; urgency=low

  * Use dpkg-architecture to get the target architecture and use the compiler
    it tells us to.
  * Don't run the testsuite when we're cross-compiling.

 -- Mark Brown <broonie@debian.org>  Sat,  6 Dec 2003 14:49:48 +0000

zlib (1:1.2.1-2) unstable; urgency=low

  * Version build dependency on the DBS package (closes: #221599).

 -- Mark Brown <broonie@debian.org>  Fri, 21 Nov 2003 14:13:40 +0000

zlib (1:1.2.1-1) unstable; urgency=low

  * New upstream release.
  * The override fie tells me zlib1g is now required.
  * Use dbs package to build rather than carting around our own copy.
  * Many patches have been incorporated upstream.
  * Upstream no longer has a readme.txt for zlib-bin.
  * Check the return value of scanf() in miniunzip.

 -- Mark Brown <broonie@debian.org>  Mon, 17 Nov 2003 23:49:22 +0000

zlib (1:1.1.4-17) unstable; urgency=low

  * Support GNU/KFreeBSD (closes: #220844).

 -- Mark Brown <broonie@debian.org>  Sat, 15 Nov 2003 12:00:24 +0000

zlib (1:1.1.4-16) unstable; urgency=low

  * Check the return value of scanf in minizip (closes: #215658).
  * Issue a diagnostic if minizip has no ZIP file to work on (closes: #215657).

 -- Mark Brown <broonie@debian.org>  Thu, 16 Oct 2003 19:02:39 +0100

zlib (1:1.1.4-15) unstable; urgency=low

  * Replace "udeb" with "for Debian installer" in the short description for
    the udeb (closes: #211019).
  * Fix conflicts between real binary package and udeb.

 -- Mark Brown <broonie@debian.org>  Tue, 16 Sep 2003 07:38:47 +0100

zlib (1:1.1.4-14) unstable; urgency=low

  * Remove the libc5 libraries from the control file.  Apparently the archive
    software isn't too keen on having packages built for the null set of
    architectures.

 -- Mark Brown <broonie@debian.org>  Sat, 12 Jul 2003 09:02:39 +0100

zlib (1:1.1.4-13) unstable; urgency=low

  * Nothing's actually appeared that uses the fact that zlib is in /lib so
    move it back to /usr/lib.
  * Drop libc5 support since it's breaking builds.  The infrastructure is
    still there so if we do decided to continue building libc5 stuff after all
    it can be added back.

 -- Mark Brown <broonie@debian.org>  Sat, 21 Jun 2003 14:07:39 +0100

zlib (1:1.1.4-12) unstable; urgency=low

  * Change section of zlib1g-dev to libdevel.
  * GCC has now complains about improper usage of functions even without
    prototypes so fix vsnprintf() test to call vsnprintf() with the
    correct arguments (closes: #194828).

 -- Mark Brown <broonie@debian.org>  Tue, 27 May 2003 08:32:02 +0100

zlib (1:1.1.4-11) unstable; urgency=low

  * The "Premature implementation is the root of all evil" release.
  * Change udeb name to zlib1g-udeb (closes: #183296).
  * Make the udeb provide zlib1g.

 -- Mark Brown <broonie@debian.org>  Mon,  3 Mar 2003 22:00:21 +0000

zlib (1:1.1.4-10) unstable; urgency=low

  * Fix buffer overflow in gzprintf() by adding configure test for
    vsnprintf() and failing the build out if it's not used.
  * Use snprintf() for printing file descriptor name in gzdopen().
  * Remove Emacs variables from changelog.

 -- Mark Brown <broonie@debian.org>  Sun, 23 Feb 2003 17:37:38 +0000

zlib (1:1.1.4-9) unstable; urgency=low

  * Build a zlib-udeb package.  The changes are a modified version of some
    provided by Sebastian Ley <sebastian.ley@mmweg.rwth-aachen.de>.
  * Updated Standards-Version to 3.5.8 (no changes).
  * Don't check for the preprocessor constant i386 in zconf.h, use the
    better namespaced __i386__ instead.

 -- Mark Brown <broonie@debian.org>  Mon, 30 Dec 2002 20:54:25 +0000

zlib (1:1.1.4-8) unstable; urgency=low

  * Leave libz.so in /usr/lib (closes: #169924).

 -- Mark Brown <broonie@debian.org>  Wed, 20 Nov 2002 21:04:58 +0000

zlib (1:1.1.4-7) unstable; urgency=low

  * Install libz.so in /lib rather than /usr/lib (closes: #168797).

 -- Mark Brown <broonie@debian.org>  Tue, 19 Nov 2002 00:01:34 +0000

zlib (1:1.1.4-6) unstable; urgency=low

  * Depend on libc-dev rather than libc6-dev (closes: #164649).

 -- Mark Brown <broonie@debian.org>  Mon, 14 Oct 2002 11:35:09 +0100

zlib (1:1.1.4-5) unstable; urgency=low

  * Include patch from Joel Baker <lucifer@lightbearer.com> forcing -Dunix
    when building minizip for NetBSD (closes: #164060).
  * Don't set /usr/doc link in zlib1-altdev.

 -- Mark Brown <broonie@debian.org>  Sat, 12 Oct 2002 19:32:25 +0100

zlib (1:1.1.4-4) unstable; urgency=low

  * Complete sentance in minzip.1 (closes: #160929).

 -- Mark Brown <broonie@debian.org>  Sun, 15 Sep 2002 15:02:06 +0100

zlib (1:1.1.4-3) unstable; urgency=low

  * Update upstream URL in copyright file (closes: #154940).

 -- Mark Brown <broonie@debian.org>  Wed, 31 Jul 2002 12:26:13 +0100

zlib (1:1.1.4-2) unstable; urgency=low

  * Build glibc static library without PIC (closes: #149939).

 -- Mark Brown <broonie@debian.org>  Wed, 17 Jul 2002 20:37:50 +0100

zlib (1:1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon, 11 Mar 2002 21:44:13 +0000

zlib (1:1.1.3-19.1) unstable; urgency=high

  * Non-maintainer upload
  * Apply patch for double-free bug

 -- Matt Zimmerman <mdz@debian.org>  Sun, 10 Mar 2002 23:52:20 -0500

zlib (1:1.1.3-19) unstable; urgency=low

  * Include patch to minizip from Steve Kemp <skx@tardis.ed.ac.uk>
    fixing various stability issues with minizip.

 -- Mark Brown <broonie@debian.org>  Sat, 19 Jan 2002 13:19:22 +0000

zlib (1:1.1.3-18) unstable; urgency=low

  * Fix -d option support so that archives can be extracted without 
    using -d (closes: #119898).

