=== debian/control ===
Source: zlib
Section: libs
Priority: optional
Maintainer: Mark Brown <broonie@debian.org>
Standards-Version: 3.5.8
Build-Depends: debhelper, dbs (>= 0.21)

Package: zlib1g
Architecture: any
Depends: ${shlibs:Depends}
Priority: required
Conflicts: zlib1 (<= 1:1.0.4-7), zlib1g-udeb
Replaces: zlib1g-udeb
Provides: libz1
Description: compression library - runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the shared library.

Package: zlib1g-dev
Section: libdevel
Architecture: any
Depends: zlib1g (= ${Source-Version}), libc6-dev | libc-dev
Conflicts: zlib1-dev
Provides: libz-dev
Description: compression library - development
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files.

Package: zlib-bin
Section: utils
Architecture: any
Depends: libz1
Description: compression library - sample programs
 Some generally useful sample programs from the contrib directory.
 Includes a "mini" implementation of `zip' and `unzip' called
 `minizip' and `miniunzip' respectively.

Package: zlib1g-udeb
Architecture: any
Priority: optional
Provides: zlib1g
Section: debian-installer
Description: compression library - runtime for Debian installer
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This minimal package includes the shared library
 for use with the Debian installer.
