## zlib 1.2.3-9.osso4

=== _darcs/current/debian/changelog ===
zlib (1:1.2.3-9.osso4) unstable; urgency=low

  * Fixed lintian warning about wrong ppc64 arch

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 25 Apr 2006 14:15:49 +0300

zlib (1:1.2.3-9.osso3) unstable; urgency=low

  * Enable thumb DEB_BUILD_OPTIONS. Fixes: NB#26886.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 24 Apr 2006 17:22:34 +0300

zlib (1:1.2.3-9.osso2) unstable; urgency=low

  * Fixed dos lines in debian/patches/001-link_to_shared_zlib_in_contrib
  * Removed building 64bit for i386

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  7 Mar 2006 21:45:55 +0200

zlib (1:1.2.3-9.osso1) unstable; urgency=low

  * Integrated osso patches

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  3 Mar 2006 14:23:57 +0200

zlib (1:1.2.3-9) unstable; urgency=low

  * Remove build dep on amd64-libs (closes: #344009).

 -- Mark Brown <broonie@debian.org>  Tue, 20 Dec 2005 14:12:58 +0000

zlib (1:1.2.3-8) unstable; urgency=low

  * Replace old ia32-libs (closes: #339105).

 -- Mark Brown <broonie@debian.org>  Tue, 15 Nov 2005 21:20:31 +0000

zlib (1:1.2.3-7) unstable; urgency=low

  * Check for EOF properly in gzio (closes: #130557).

 -- Mark Brown <broonie@debian.org>  Sun, 30 Oct 2005 11:02:24 +0000

zlib (1:1.2.3-6) unstable; urgency=low

  * Most of the changes in this version are based heavily on work done for
    Ubuntu by Matthias Klose <doko@cs.tu-berlin.de>.  Thanks!
  * Build biarch packages on PowerPC (closes: #325560).
  * Build biarch packages on i386, replacing amd64-libs prior to 1.4 which
    included its own copy and adding a theoretically spurious build dep
    on amd64-libs to work around binutils troubles (closes: #334013).
  * Drop build dep on GCC 3.4 on amd64 - we already stopped using it.
  * Update all the lib64 development dependencies to use lib64c-dev rather
    than the specific libc-${ARCH}-dev package.
  * Don't test lib64 builds - there's a good chance they'll fail due to the
    system not being able to execute 64 bit code.  Similarly, don't worry if
    dh_shlibdeps fails and hard code an unversioned dependency on the
    appropriate libc.

 -- Mark Brown <broonie@debian.org>  Sun, 16 Oct 2005 19:38:11 +0100

zlib (1:1.2.3-5) unstable; urgency=low

  * Since GCC no longer ICEs at -O3 on m68k revert to using -O3 there like
    we do elsewhere.

 -- Mark Brown <broonie@debian.org>  Wed, 28 Sep 2005 23:00:52 +0100

zlib (1:1.2.3-4) unstable; urgency=low

  * Add ppc64 biarch support using patch included in the report by Andreas
    Jochens <aj@andaco.de> (closes: #323591).

 -- Mark Brown <broonie@debian.org>  Mon, 29 Aug 2005 12:30:04 +0100

zlib (1:1.2.3-3) unstable; urgency=low

  * Fix minizip build (closes: #321355).

 -- Mark Brown <broonie@debian.org>  Fri,  5 Aug 2005 18:52:09 +0100

zlib (1:1.2.3-2) unstable; urgency=low

  * Fix noopt (closes: #320999).
  * Apply CFLAGS to minizip too.
  * Policy 3.6.2 (no changes).

 -- Mark Brown <broonie@debian.org>  Wed,  3 Aug 2005 23:31:47 +0100

zlib (1:1.2.3-1) unstable; urgency=high

  * New upstream release.
  * This release includes a fix for CAN-2005-1849.

 -- Mark Brown <broonie@debian.org>  Mon, 18 Jul 2005 23:02:31 +0100

zlib (1:1.2.2-9) unstable; urgency=low

  * Work around an ICE on m68k by building at -O2 there.
  * Implement noopt support while we're at it.

 -- Mark Brown <broonie@debian.org>  Thu, 14 Jul 2005 18:06:21 +0300

zlib (1:1.2.2-8) unstable; urgency=low

  * Remove GCC 3.4 hack for amd64 since the default compiler is now supposed
    to be able to do biarch.

 -- Mark Brown <broonie@debian.org>  Sun, 10 Jul 2005 13:10:15 +0300

zlib (1:1.2.2-7) unstable; urgency=high

  * Add patch fixing CAN-2005-2096 in inflate.

 -- Mark Brown <broonie@debian.org>  Mon,  4 Jul 2005 23:58:05 +0100

zlib (1:1.2.2-6) unstable; urgency=low

  * Fix some build failures on amd64 (closes: #316779).  The package still
    fails to build but this appears to be due to toolchain issues.

 -- Mark Brown <broonie@debian.org>  Mon,  4 Jul 2005 21:49:55 +0100

zlib (1:1.2.2-5) unstable; urgency=low

  * Build a 32 bit copy on amd64 (closes: #311618).
  * Hack build with GCC 3.4 on amd64 since the default 3.3 is broken for
    biarch builds.  This should be removed once the default compiler does
    this properly.
  * Remove libc5 support and therefore revert to using plain gcc when not
    cross-compiling.
  * Upgrade to Debhelper interface 4.

 -- Mark Brown <broonie@debian.org>  Tue, 21 Jun 2005 09:52:45 +0100

zlib (1:1.2.2-4.sarge.2osso2) stable-security; urgency=low

  * fix #21200: zlib-1.2.2/contrib/delphi/ZLib.pas removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon, 14 Nov 2005 12:49:46 +0200

zlib (1:1.2.2-4.sarge.2osso1) stable-security; urgency=low

  * use -Os instead of -O3

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 22 Jul 2005 15:34:35 +0300

zlib (1:1.2.2-4) unstable; urgency=low

  * Run dh_installdeb before dh_shlibdeps (closes: #282882).
  * Specify the shlibs for the library directly to dpkg-shlibs.

 -- Mark Brown <broonie@debian.org>  Tue,  7 Dec 2004 14:37:32 +0000

zlib (1:1.2.2-3) unstable; urgency=low

  * Generate shared libraries sensibly for zlib-bin (closes: #278977).

 -- Mark Brown <broonie@debian.org>  Sat, 30 Oct 2004 19:40:57 +0100

zlib (1:1.2.2-2) unstable; urgency=low

  * Remove shlibs from udeb.

 -- Mark Brown <broonie@debian.org>  Sat,  9 Oct 2004 19:06:41 +0100

zlib (1:1.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Wed,  6 Oct 2004 20:10:10 +0100

zlib (1:1.2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Upstream now includes patch improving error reporting when gzio is used on
    empty files (closes: #258087).
  * Upstream have fixed a valgrind warning.  Other valgrind warnings remain
    but have been analysed and found safe - uninitialised memory is read from
    a buffer allocated by zlib during deflate but bounds checking is

