## zlib 1.2.3-9.osso8

=== debian/changelog ===
zlib (1:1.2.3-9.osso8) unstable; urgency=low

  * Removed wrong patches. 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 04 Sep 2007 12:09:44 +0300

zlib (1:1.2.3-9.osso7) unstable; urgency=low

  * Legal cleanup: contrib/delphi removed. Fixes: NB#66724 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Aug 2007 15:08:39 +0300

zlib (1:1.2.3-9.osso6) unstable; urgency=low

  * Make a branch for another product.
  * Produce -dbg package. Fixes: NB#40257.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 17 Oct 2006 15:26:47 +0300

zlib (1:1.2.3-9.osso5) unstable; urgency=low

  * Removed contrib/delphi. Fixes: NB#42327.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon,  9 Oct 2006 14:04:33 +0300
