=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Mark Brown <broonie@debian.org>
-Standards-Version: 3.5.8
-Build-Depends: debhelper, dbs (>= 0.21)
+Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 4.2), dbs (>= 0.21), libc6-dev-powerpc [powerpc], ia32-libs-dev [amd64], lib64c-dev [powerpc s390 sparc]
 
 Package: zlib1g
 Architecture: any
@@ -13,6 +13,13 @@
 Replaces: zlib1g-udeb
 Provides: libz1
 Description: compression library - runtime
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes the shared library.
+
+Package: zlib1g-dbg
+Architecture: any
+Depends: zlib1g (= ${Source-Version})
+Description: compression library - debug symbols
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This package includes the shared library.
 
@@ -30,13 +37,14 @@
 Package: zlib-bin
 Section: utils
 Architecture: any
-Depends: libz1
+Depends: ${shlibs:Depends}
 Description: compression library - sample programs
  Some generally useful sample programs from the contrib directory.
  Includes a "mini" implementation of `zip' and `unzip' called
  `minizip' and `miniunzip' respectively.
 
 Package: zlib1g-udeb
+XC-Package-Type: udeb
 Architecture: any
 Priority: optional
 Provides: zlib1g
@@ -45,3 +53,43 @@
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This minimal package includes the shared library
  for use with the Debian installer.
+
+Package: lib64z1
+Architecture: sparc s390 i386 powerpc
+Depends: ${shlibs:Depends}, ${lib64:Depends}
+Replaces: amd64-libs (<< 1.4)
+Description: compression library - 64 bit runtime
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes a 64 bit version of the
+ shared library.
+
+Package: lib64z1-dev
+Section: libdevel
+Architecture: sparc s390 i386 powerpc
+Depends: lib64z1 (= ${Source-Version}), zlib1g-dev (= ${Source-Version}), lib64c-dev
+Replaces: amd64-libs-dev (<< 1.4)
+Provides: lib64z-dev
+Description: compression library - 64 bit development
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes the development support
+ files for building 64 bit applications.
+
+Package: lib32z1
+Architecture: amd64 ppc64
+Depends: ${shlibs:Depends}
+Replaces: ia32-libs (<< 1.5)
+Description: compression library - 32 bit runtime
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes a 32 bit version of the
+ shared library.
+
+Package: lib32z1-dev
+Section: libdevel
+Architecture: amd64 ppc64
+Depends: lib32z1 (= ${Source-Version}), zlib1g-dev (= ${Source-Version})
+Provides: lib32z-dev
+Replaces: ia32-libs-dev (<< 1.5)
+Description: compression library - 32 bit development
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes the development support
+ files for building 32 bit applications.
